Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459175 - Review Request: python-peak-util-assembler - Generate Python code objects by "assembling" bytecode
Summary: Review Request: python-peak-util-assembler - Generate Python code objects by...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 459172
Blocks: 459117 459177
TreeView+ depends on / blocked
 
Reported: 2008-08-14 19:59 UTC by Luke Macken
Modified: 2016-09-20 02:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-09 21:28:45 UTC
Type: ---
rcritten: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2008-08-14 19:59:15 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-peak-util-assembler.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-peak-util-assembler-0.5-1.fc9.src.rpm
Description:
peak.util.assembler is a simple bytecode assembler module that handles most
low-level bytecode generation details like jump offsets, stack size tracking,
line number table generation, constant and variable name index tracking, etc.
That way, you can focus your attention on the desired semantics of your
bytecode instead of on these mechanical issues.

In addition to a low-level opcode-oriented API for directly generating specific
Python bytecodes, this module also offers an extensible mini-AST framework for
generating code from high-level specifications.  This framework does most of
the work needed to transform tree-like structures into linear bytecode
instructions, and includes the ability to do compile-time constant folding.

Comment 1 Rob Crittenden 2008-09-08 14:47:57 UTC
The license is unclear. PSF should be Python to quiet rpmlint and you'll need
to check with upstream to see what version of ZPL this is (probably 2.1 but not
safe to assume).

Comment 3 Rob Crittenden 2008-09-10 02:27:58 UTC
Review:
+ package builds in mock
+ rpmlint is silent
+ source files match upstream.
94645cdd4b97ed94b946ff66c0f7bbf0  BytecodeAssembler-0.5.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Compiler flags are honored correctly.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

Comment 4 Luke Macken 2008-09-11 00:53:50 UTC
New Package CVS Request
=======================
Package Name: python-peak-util-assembler
Short Description: Generate Python code objects by "assembling" bytecode
Owners: lmacken
Branches: F-8 F-9 EL-4 EL-5

Comment 5 Huzaifa S. Sidhpurwala 2008-09-11 05:03:43 UTC
cvs done

Comment 6 Fedora Update System 2008-09-18 07:38:57 UTC
python-peak-util-assembler-0.5-1.fc8,python-peak-util-extremes-1.1-1.fc8,python-peak-util-addons-0.6-1.fc8,python-peak-rules-0.5a1.dev-0.2569.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/python-peak-util-assembler-0.5-1.fc8,python-peak-util-extremes-1.1-1.fc8,python-peak-util-addons-0.6-1.fc8,python-peak-rules-0.5a1.dev-0.2569.fc8

Comment 7 Fedora Update System 2008-09-18 07:39:10 UTC
python-peak-util-symbols-1.0-1.fc9,python-peak-util-assembler-0.5-1.fc9,python-peak-util-extremes-1.1-1.fc9,python-peak-util-addons-0.6-1.fc9,python-peak-rules-0.5a1.dev-0.2569.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-peak-util-symbols-1.0-1.fc9,python-peak-util-assembler-0.5-1.fc9,python-peak-util-extremes-1.1-1.fc9,python-peak-util-addons-0.6-1.fc9,python-peak-rules-0.5a1.dev-0.2569.fc9

Comment 8 Fedora Update System 2008-09-25 00:11:39 UTC
python-peak-util-symbols-1.0-1.fc9, python-peak-util-assembler-0.5-1.fc9, python-peak-util-extremes-1.1-1.fc9, python-peak-util-addons-0.6-1.fc9, python-peak-rules-0.5a1.dev-0.2569.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-symbols python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8247

Comment 9 Fedora Update System 2008-09-25 00:27:37 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8369

Comment 10 Fedora Update System 2008-10-01 06:33:54 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8, python-peak-util-symbols-1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules python-peak-util-symbols'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8369

Comment 11 Fedora Update System 2008-10-09 21:28:33 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8, python-peak-util-symbols-1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-10-09 21:32:37 UTC
python-peak-util-symbols-1.0-1.fc9, python-peak-util-assembler-0.5-1.fc9, python-peak-util-extremes-1.1-1.fc9, python-peak-util-addons-0.6-1.fc9, python-peak-rules-0.5a1.dev-0.2569.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.